## GVirConfigCapabilities

GVirConfigCapabilities

## Functions

GVirConfigCapabilities * | gvir_config_capabilities_new ()
GVirConfigCapabilities * | gvir_config_capabilities_new_from_xml ()
GVirConfigCapabilitiesHost * | gvir_config_capabilities_get_host ()
GList * | gvir_config_capabilities_get_guests ()

## Types and Values

struct | GVirConfigCapabilities
struct | GVirConfigCapabilitiesClass
| GVirConfigCapabilitiesPrivate

## Object Hierarchy

        GObject
        ╰── GVirConfigObject
            ╰── GVirConfigCapabilities

## Description

## Functions

### gvir_config_capabilities_new ()

    GVirConfigCapabilities *
    gvir_config_capabilities_new (void);

### gvir_config_capabilities_new_from_xml ()

    GVirConfigCapabilities *
    gvir_config_capabilities_new_from_xml (const gchar *xml,
                                           GError **error);

### gvir_config_capabilities_get_host ()

    GVirConfigCapabilitiesHost *
    gvir_config_capabilities_get_host (GVirConfigCapabilities *caps);

Gets the host capabilities.

#### Returns

a new GVirConfigCapabilitiesHost.

[transfer full]

### gvir_config_capabilities_get_guests ()

    GList *
    gvir_config_capabilities_get_guests (GVirConfigCapabilities *caps);

Gets the list of guest capabilities.

#### Returns

a newly allocated GList of GVirConfigCapabilitiesGuest.

[element-type LibvirtGConfig.CapabilitiesGuest][transfer full]

## Types and Values

### struct GVirConfigCapabilities

    struct GVirConfigCapabilities;

### struct GVirConfigCapabilitiesClass

    struct GVirConfigCapabilitiesClass {
        GVirConfigObjectClass parent_class;

        gpointer padding[20];
    };

### GVirConfigCapabilitiesPrivate

    typedef struct _GVirConfigCapabilitiesPrivate GVirConfigCapabilitiesPrivate;